import axios from 'axios';
import Api from '../http/api';
import { postRequest } from '../http'

export const uploadFile = async (file: any) => {
    let imgInfo = await getImgInfo(file);
    let uploadRes = await upload(imgInfo, file);
    console.log(333, uploadRes)
}

const getImgInfo = (file: any) => {
    return new Promise((resolve, reject) => {
        let type = file.type || 'image/jpg';
        postRequest(Api.mediaUpload, {
            params: {
                bizType: 2,
                contentType: type,
                fileSuffix: type.split('/')[1],
                fileType: 1,
            }
        }).then(res => {
            let { code, data } = res;
            if ( code === 0 ) {
                resolve(data)
            }
        }).catch(error => {
            reject(error)
        })
    })
}
 
const upload = (params: any, file: any) => {
    let type = file.type || 'image/jpg';
    return new Promise((resolve, reject) => {
        axios({
            method: 'PUT',
            url: params.url,
            data: new Blob([file]),
            headers: {
                'Authorization': params.authorization,
                'x-amz-date': params.date,
                'Content-Type': type,
            }
        }).then(res => {
            resolve(res)
        }).catch(error => {
            reject(error)
        })
    })
}